NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
*resolved* dbg-php-5.4.dll and apache crashes


Joined: 13 Apr 2013
Posts: 4
Reply with quote
Hi

Recently installed phped for a trial. I've got a problem with the debug file though. When activated in the php.ini when I load a file apache crashes, when I disable the loading of the module apache works ok.

I have exdebug installed and working.

My install is php 5.4, apache 2.4.4 both 64bit on a windows 7 64 bit OS

Can you advise any update or fix please

Thanks
View user's profileFind all posts by longestdriveSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7857
Reply with quote
Why do you think it is crashing? Do you have something in the logs?
What messages do you see?

What distribution of apache and php have you installed?
What other non-standard php modules are intalled?
Can you show your phpinfo output?


Debugger is very stable and I think it's something with wrong/incompatible module selected.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 13 Apr 2013
Posts: 4
Reply with quote
Hi

I've managed to get it to work by placing the module before the xdebug module.

All appears to be working now!

Thanks
View user's profileFind all posts by longestdriveSend private message


Joined: 01 Jul 2013
Posts: 3
Reply with quote
Hi,
just to know that it happened the same to me and your solution worked, thanks! Using EasyPHP-DevServer-13.1VC9
Thanks again!
Pau
View user's profileFind all posts by paussusSend private message


Joined: 22 Jun 2007
Posts: 12
Location: SF
Reply with quote
Hi, I tried the same solution but it did not work for me.

Here is my configuration:
Windows Vista 32bit
xampp lite 1.7.4 (came with Moodle Windows Installation package)
Apache 2.2.17
MySQL 5.5.8
PHP 5.3.5 + PEAR
PhpED 5.9.5 (Build 5966)

In the pop-up error Window this is what I found:
Problem signature:
Problem Event Name: APPCRASH
Application Name: httpd.exe
Application Version: 2.2.17.0
Application Timestamp: 4cbbe9e8
Fault Module Name: php5ts.dll
Fault Module Version: 5.3.5.0
Fault Module Timestamp: 4d26013e
Exception Code: c0000005
Exception Offset: 0007777d
OS Version: 6.0.6002.2.2.0.768.3
Locale ID: 1033
Additional Information 1: fd00
Additional Information 2: ea6f5fe8924aaa756324d57f87834160
Additional Information 3: fd00
Additional Information 4: ea6f5fe8924aaa756324d57f87834160

Read our privacy statement:
http://go.microsoft.com/fwlink/?linkid=50163&clcid=0x0409

My DBG (debugger) is version 5.3
zend_extension_ts="C:\0\server\php\ext\dbg-php-5.3.dll"
zend_extension="C:\0\server\php\ext\dbg-php-5.3.dll"

Any solution about this? Thanks!

p.s. By the way in the php.ini
[debugger]
debugger.JIT_enabled=Off
debugger.JIT_level=3
debugger.hosts_deny=ALL
debugger.hosts_allow= 127.0.0.1 localhost
debugger.ports=7869

What does that JIT referring to and what is JIT level = 3 stands for? Thanks!
View user's profileFind all posts by chuangSend private messageVisit poster's websiteAIM AddressYahoo MessengerMSN Messenger
Site Admin

Joined: 13 Jul 2003
Posts: 7857
Reply with quote
Dear Chuang, as you can see crash in your case happens in:
Fault Module Name: php5ts.dll, which is not debugger module.
Moreover, you're running phped of very old version, it is not maintained for ~ 5 years now.
Also you work with php 5.3.4, which is known to have more than hundred crashes -- fixed in later versions.

Solution is very simple -- buy a newer version of the IDE, upgrade php to 5.4.17 and this is what will work very stable (and much faster btw)

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
*resolved* dbg-php-5.4.dll and apache crashes
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic